Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451799 - upfront construction of ec2 KeyPairs is time consuming
Summary: upfront construction of ec2 KeyPairs is time consuming
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid
Version: beta
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Matthew Farrellee
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks: 463363
TreeView+ depends on / blocked
 
Reported: 2008-06-17 13:52 UTC by Matthew Farrellee
Modified: 2008-10-07 18:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-07 18:42:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0911 normal SHIPPED_LIVE Moderate: condor security, bug fix and enhancement update 2008-10-07 18:42:07 UTC

Description Matthew Farrellee 2008-06-17 13:52:41 UTC
The gridmanager will construct KeyPairs for all outstanding EC2 jobs upfront.
This can lead to a delay in starting jobs when there are many (10K for instance)
EC2 jobs queued.

Comment 1 Jaime Frey 2008-09-10 20:12:40 UTC
This is fixed in the V7_1 branch. The construction of keypairs is now restricted by the gridmanager's submission throttles.

Comment 2 Matthew Farrellee 2008-09-11 04:24:15 UTC
This is tested by submitting a set of 100 jobs (any number greater than GRIDMANAGER_MAX_SUBMITTED_JOBS_PER_RESOURCE will work), and after some begin to run check the set of created keypairs with ec2-describe-keypairs. If there are more keypairs than running jobs this issue still exists.

Comment 7 errata-xmlrpc 2008-10-07 18:42:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0911.html


Note You need to log in before you can comment on or make changes to this bug.